<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:background="@color/colorPrimary">

        <ImageView
            android:id="@+id/bar_back"
            android:layout_width="48dp"
            android:layout_height="match_parent"
            android:foreground="?android:selectableItemBackground"
            android:src="@drawable/ic_keyboard_arrow_left_white_36dp" />

        <TextView
            style="@style/bar_title"
            android:text="值仓信息填写" />

        <TextView
            android:id="@+id/bar_record"
            style="@style/bar_right"
            android:text="记录/补卡" />

    </RelativeLayout>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="8dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="实际仓房名称:" />

                <TextView
                    android:id="@+id/tv_real_house"
                    style="@style/Menu_Button_Text"
                    android:drawableRight="@drawable/ic_keyboard_arrow_down_grey_700_24dp"
                    android:foreground="?android:selectableItemBackground"
                    android:hint="请选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="实际货位名称:" />

                <TextView
                    android:id="@+id/tv_real_position"
                    style="@style/Menu_Button_Text"
                    android:drawableRight="@drawable/ic_keyboard_arrow_down_grey_700_24dp"
                    android:foreground="?android:selectableItemBackground"
                    android:hint="请选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="包装方式:" />

                <TextView
                    android:id="@+id/tv_pack_type"
                    style="@style/Menu_Button_Text"
                    android:drawableRight="@drawable/ic_keyboard_arrow_down_grey_700_24dp"
                    android:foreground="?android:selectableItemBackground"
                    android:hint="请选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="装卸件数:" />

                <EditText
                    android:id="@+id/et_finish_count"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入"
                    android:inputType="number" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="现场扣水:" />

                <EditText
                    android:id="@+id/et_deduct_water"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="现场扣杂:" />

                <EditText
                    android:id="@+id/et_deduct_sundries"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="现场扣其他:" />

                <EditText
                    android:id="@+id/et_deduct_other"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="包装物扣量:" />

                <EditText
                    android:id="@+id/et_deduct_pack"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="现场扣百分比:" />

                <EditText
                    android:id="@+id/et_deduct_percent"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="作业队:" />

                <AutoCompleteTextView
                    android:id="@+id/tv_work_team"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入或选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="作业组:" />

                <AutoCompleteTextView
                    android:id="@+id/tv_work_group"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入或选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="作业开始时间:" />

                <TextView
                    android:id="@+id/tv_start_time"
                    style="@style/Menu_Button_Text"
                    android:drawableRight="@drawable/ic_keyboard_arrow_down_grey_700_24dp"
                    android:foreground="?android:selectableItemBackground"
                    android:hint="请选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="作业结束时间:" />

                <TextView
                    android:id="@+id/tv_end_time"
                    style="@style/Menu_Button_Text"
                    android:drawableRight="@drawable/ic_keyboard_arrow_down_grey_700_24dp"
                    android:foreground="?android:selectableItemBackground"
                    android:hint="请选择" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="保管员:" />

                <EditText
                    android:id="@+id/et_keeper"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="vertical">

                <TextView
                    style="@style/Menu_Left_Text"
                    android:text="备注:" />

                <EditText
                    android:id="@+id/et_remark"
                    style="@style/Menu_Button_Text"
                    android:hint="请输入(最多10字)"
                    android:maxLength="10"
                    android:singleLine="false" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_stop"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="16dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_primary_bg"
                    android:padding="8dp"
                    android:text="终止入库"
                    android:textColor="@color/colorWhite"
                    android:textSize="24sp" />

                <Button
                    android:id="@+id/btn_save"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="16dp"
                    android:layout_weight="1"
                    android:background="@drawable/btn_primary_bg"
                    android:padding="8dp"
                    android:text="正常值仓"
                    android:textColor="@color/colorWhite"
                    android:textSize="24sp" />

                <!--<Button-->
                <!--android:id="@+id/btn_clear"-->
                <!--android:layout_width="0dp"-->
                <!--android:layout_height="40dp"-->
                <!--android:layout_margin="16dp"-->
                <!--android:layout_weight="1"-->
                <!--android:background="@drawable/btn_primary_bg"-->
                <!--android:padding="8dp"-->
                <!--android:text="清空"-->
                <!--android:textColor="@color/colorWhite"-->
                <!--android:textSize="18sp" />-->

            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="88dp" />

        </LinearLayout>
    </ScrollView>


</LinearLayout>